Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
layers
Get layers
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/layers \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "key": "checkout-flow",
      "name": "Checkout Flow",
      "description": "The checkout flow for the application",
      "createdAt": 123,
      "randomizationUnit": "user",
      "environments": {}
    }
  ],
  "totalCount": 123,
  "_links": {
    "self": {
      "href": "/api/v2/projects/my-project/layers",
      "type": "application/json"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

Query Parameters

filter
string<string>

A comma-separated list of filters. This endpoint only accepts filtering by experimentKey. The filter returns layers which include that experiment for the selected environment(s). For example: filter=reservations.experimentKey contains expKey.

Response

Layer Collection response

items
object[]
required

The layers in the project

totalCount
integer
required

The total number of layers in the project

The location and content type of related resources

Example:
{
  "self": {
    "href": "/api/v2/projects/my-project/layers",
    "type": "application/json"
  }
}